Subject: Re: [PATCH 1/9 v4] bisect: add "git bisect replace" subcommand

From: Paolo Bonzini <[email-masked]>
Date: Fri, 14 Nov 2008 11:03:46 +0100

>> users could also set up a few 
>> special bisect/set-debug-to-1, bisect/remove-cflags-o2 and so on patches
>> that you could use for purposes other than ensuring known bugs are fixed.
> 
> In this case it is similar to Junio's proposal. But I think that for changes 
> like set-debug-to-1 and remove-cflags-o2, using the right make command 
> should be enough.

Yeah, I couldn't think of a better usecase, but you got the idea.

>> Finally, you could have a [bisect] configuration section with entries
>> like "cherry-pick = BROKEN-SHA1 FIX-SHA1" and "git bisect" would apply
>> FIX-SHA1 automatically if the bisect tip were in BROKEN-SHA1..FIX-SHA1.
> 
> Yes, but how do you share this between members of a team?

That's a common problem with stuff that goes in .gitconfig.  It does not
belong in the repository, though...

Paolo